net.sourceforge.pmd.lang.dfa

## Class NodeType

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.NodeType

    public class NodeType
    extends Object

Author:
  raik

### Field Summary

Fields
`static int` `BREAK_STATEMENT`
`static int` `CASE_LAST_STATEMENT`
`static int` `CONTINUE_STATEMENT`
`static int` `DO_BEFORE_FIRST_STATEMENT`
`static int` `DO_EXPR`
`static int` `ELSE_LAST_STATEMENT`
`static int` `FOR_BEFORE_FIRST_STATEMENT`
`static int` `FOR_END`
`static int` `FOR_EXPR`
`static int` `FOR_INIT`
`static int` `FOR_UPDATE`
`static int` `IF_EXPR`
`static int` `IF_LAST_STATEMENT`
`static int` `IF_LAST_STATEMENT_WITHOUT_ELSE`
`static int` `LABEL_LAST_STATEMENT`
`static int` `LABEL_STATEMENT`
`static int` `RETURN_STATEMENT`
`static int` `SWITCH_END`
`static int` `SWITCH_LAST_DEFAULT_STATEMENT`
`static int` `SWITCH_START`
`static int` `THROW_STATEMENT`
`static int` `WHILE_EXPR`
`static int` `WHILE_LAST_STATEMENT`

### Constructor Summary

Constructors
Constructor and Description
`NodeType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IF_EXPR

    public static final int IF_EXPR

See Also:
  Constant Field Values

#### IF_LAST_STATEMENT

    public static final int IF_LAST_STATEMENT

See Also:
  Constant Field Values

#### IF_LAST_STATEMENT_WITHOUT_ELSE

    public static final int IF_LAST_STATEMENT_WITHOUT_ELSE

See Also:
  Constant Field Values

#### ELSE_LAST_STATEMENT

    public static final int ELSE_LAST_STATEMENT

See Also:
  Constant Field Values

#### WHILE_EXPR

    public static final int WHILE_EXPR

See Also:
  Constant Field Values

#### WHILE_LAST_STATEMENT

    public static final int WHILE_LAST_STATEMENT

See Also:
  Constant Field Values

#### SWITCH_START

    public static final int SWITCH_START

See Also:
  Constant Field Values

#### CASE_LAST_STATEMENT

    public static final int CASE_LAST_STATEMENT

See Also:
  Constant Field Values

#### SWITCH_LAST_DEFAULT_STATEMENT

    public static final int SWITCH_LAST_DEFAULT_STATEMENT

See Also:
  Constant Field Values

#### SWITCH_END

    public static final int SWITCH_END

See Also:
  Constant Field Values

#### FOR_INIT

    public static final int FOR_INIT

See Also:
  Constant Field Values

#### FOR_EXPR

    public static final int FOR_EXPR

See Also:
  Constant Field Values

#### FOR_UPDATE

    public static final int FOR_UPDATE

See Also:
  Constant Field Values

#### FOR_BEFORE_FIRST_STATEMENT

    public static final int FOR_BEFORE_FIRST_STATEMENT

See Also:
  Constant Field Values

#### FOR_END

    public static final int FOR_END

See Also:
  Constant Field Values

#### DO_BEFORE_FIRST_STATEMENT

    public static final int DO_BEFORE_FIRST_STATEMENT

See Also:
  Constant Field Values

#### DO_EXPR

    public static final int DO_EXPR

See Also:
  Constant Field Values

#### RETURN_STATEMENT

    public static final int RETURN_STATEMENT

See Also:
  Constant Field Values

#### BREAK_STATEMENT

    public static final int BREAK_STATEMENT

See Also:
  Constant Field Values

#### CONTINUE_STATEMENT

    public static final int CONTINUE_STATEMENT

See Also:
  Constant Field Values

#### LABEL_STATEMENT

    public static final int LABEL_STATEMENT

See Also:
  Constant Field Values

#### LABEL_LAST_STATEMENT

    public static final int LABEL_LAST_STATEMENT

See Also:
  Constant Field Values

#### THROW_STATEMENT

    public static final int THROW_STATEMENT

See Also:
  Constant Field Values

### Constructor Detail

#### NodeType

    public NodeType()